﻿@model List<CardVM>
@{
    ViewData["Title"] = "Card";
}



<div class="breadcrumb-area">
    <div class="container-fluid custom-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a asp-controller="Home" asp-action="Index">Home</a></li>
                <li class="breadcrumb-item active">Cart</li>
            </ol>
        </nav>
    </div> <!-- container -->
</div>



<!--====== Breadcrumb Part Ends ======-->
<!--====== Cart Part Start ======-->

<section class="cart-page pt-10">
    <div class="container-fluid custom-container">
        @if (Model.Count > 0)
        {
            <div class="row">
                <div class="col-xl-8">
                    <div class="shopping-cart mt-25">
                        <h4 class="allup-title">Shopping Cart</h4>
                        <div class="shopping-cart-table table-responsive">

                            <table class="table" id="table">
                                <thead>
                                    <tr>
                                        <th class="image">Image</th>
                                        <th class="product">Product</th>
                                        <th class="price">Price</th>
                                        <th class="quantity">Quantity</th>
                                        <th class="total">Total</th>
                                        <th class="delete">Delete</th>
                                        <th class="image">Checkout</th>
                                    </tr>
                                </thead>

                                @foreach (CardVM item in Model)
                                {
                                    var firstImage = item.ProductImage.ElementAt<ProductImages>(0).Images;
                                    double tottal = item.Count * item.Price;
                                    item.Total += tottal;
                            <tbody id="product" class="products">
                                <tr>
                                    <td>
                                        <div class="product-image">
                                            <img src="~/assets/images/product/@firstImage" alt="cart">
                                        </div>
                                    </td>
                                    <td>
                                        <div class="product-title">
                                            <h4 class="title"><a asp-controller="Product" asp-action="Index" asp-route-id="@item.Id">@item.Name</a></h4>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="product-price">
                                            <span class="price">€@item.Price</span>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="product-quantity">
                                            <div class="quantity mt-15 d-flex">
                                                <button type="button" class="sub"><i class="fal fa-minus"></i></button>
                                                <input type="text" value=@item.Count />
                                                <button type="button" class="add"><i class="fal fa-plus"></i></button>
                                            </div>
                                        </div>
                                    </td>
                                    <td>
                                        <div class="product-total">
                                            <span class="total-amount">@tottal</span>
                                        </div>
                                    </td>
                                    <td>

                                        <div class="product-delete">
                                            <a class="product-delete" href="Card"><i class="fal fa-trash-alt"></i></a>

                                        </div>



                                    </td>
                                <td>
                                    <a asp-controller="Home" asp-action="AddCheckout" asp-route-id="@item.Product.Id">Checkout</a>

                                </td>
                                </tr>




                            </tbody>
                                  
                                }


                            </table>


                        </div>
                        <div class="cart-btn text-right">
                            <a class="main-btn" href="#">Update cart</a>
                        </div>
                    </div>
                </div>

            </div>
        }
        else
        {
            <p>Bosdur!!!!</p>
        }
       
    </div>
</section>




